Name:           ndppd
Version:        0.2.5
Release:        2%{?dist}
Summary:        Neighbor Discovery Protocol Proxy Daemon

License:        GPLv3
URL:            https://github.com/DanielAdolfsson/ndppd
Source:         https://github.com/DanielAdolfsson/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	ndppd.service

BuildRequires:  gcc-c++ systemd
Requires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%{?systemd_requires}

%description
ndppd is a daemon that proxies certain IPv6 NDP messages between two or more
interfaces. It currently supports proxying Neighbor Solicitation Messages
and Neighbor Advertisement messages in order to allow IPv6 routing without
relying on Linux "proxy_ndp".

The daemon is partially compliant with (experimental) RFC4389. 


%prep
%autosetup


%build
%make_build CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"


%install
%make_install PREFIX=%{_prefix} DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}
install -pm 644 ndppd.conf-dist %{buildroot}%{_sysconfdir}/%{name}.conf

%pre
getent group ndppd > /dev/null || groupadd -r ndppd
getent passwd ndppd > /dev/null || /usr/sbin/useradd -g ndppd \
        -c "NDP Proxy Daemon" \
        -r -d %{_libexecdir}/ndppd -s /sbin/nologin ndppd
exit 0

%post
%systemd_post %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%preun
%systemd_preun %{name}.service


%files
%license LICENSE
%doc README* ChangeLog
%{_sbindir}/ndppd
%config(noreplace) %{_sysconfdir}/ndppd.conf
%{_unitdir}/*
%{_mandir}/man1/ndppd.1.gz
%{_mandir}/man5/ndppd.conf.5.gz


%changelog
* Wed Apr 07 2021 Stuart D. Gathman <stuart@gathman.org>
- Fix packaging bugs 

* Fri Apr 02 2021 Stuart D. Gathman <stuart@gathman.org>
- Initial package
